summaryrefslogtreecommitdiffstats
path: root/games/z26
diff options
context:
space:
mode:
author B. Watson2010-05-12 23:29:40 +0200
committer David Somero2010-05-12 23:29:40 +0200
commitd7c1232825a63ee857e343f153111bd907fac09a (patch)
tree82439ac7c61d1684c2933b1c056971011e9b3f01 /games/z26
parent2f02251229ef935ce23079b9311f92d875d592e7 (diff)
downloadslackbuilds-d7c1232825a63ee857e343f153111bd907fac09a.tar.gz
games/z26: Added to 12.2 repository
Diffstat (limited to 'games/z26')
-rw-r--r--games/z26/README6
-rw-r--r--games/z26/slack-desc19
-rw-r--r--games/z26/z26.SlackBuild65
-rw-r--r--games/z26/z26.info8
4 files changed, 98 insertions, 0 deletions
diff --git a/games/z26/README b/games/z26/README
new file mode 100644
index 0000000000..2675aeb1e1
--- /dev/null
+++ b/games/z26/README
@@ -0,0 +1,6 @@
+z26 (an Atari 2600 emulator)
+
+Z26 is one of the best emulators for the Atari 2600.
+The author reports that the graphics part of the emulator
+is nearing perfection to a point that there's little more
+to fix. \ No newline at end of file
diff --git a/games/z26/slack-desc b/games/z26/slack-desc
new file mode 100644
index 0000000000..62dcb4ebc8
--- /dev/null
+++ b/games/z26/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+z26: z26 (an Atari 2600 emulator)
+z26:
+z26: Z26 is one of the best emulators for the Atari 2600.
+z26: The author reports that the graphics part of the emulator is nearing
+z26: perfection to a point that there's little more to fix.
+z26:
+z26:
+z26:
+z26:
+z26:
+z26:
diff --git a/games/z26/z26.SlackBuild b/games/z26/z26.SlackBuild
new file mode 100644
index 0000000000..d046d5372f
--- /dev/null
+++ b/games/z26/z26.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for z26
+
+# Written by B. Watson (yalhcru@gmail.com)
+#
+# Modified by SlackBuilds.org
+
+PRGNAM=z26
+VERSION=${VERSION:-2.13}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# The distribution tarball is actually a snapshot that got
+# "promoted" to being the 2.13 release, but never got repacked,
+# so the top-level directory is z26_snapshot-$date
+# (nevertheless, this is the official 2.13 source release, or as close
+# as we're going to get)
+SNAPVER=${SNAPVER:-${PRGNAM}_snapshot-20040523}
+TARBALL=${TARBALL:-${PRGNAM}v213.tar.gz}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SNAPVER
+tar xvf $CWD/$TARBALL
+cd $SNAPVER
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+make linux CFLAGS="$SLKCFLAGS"
+make $PRGNAM.man
+make docs
+
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+install -m0755 -o root -g root $PRGNAM $PKG/usr/bin
+gzip -9c $PRGNAM.man > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+rm -rf doc/CVS
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp doc/* *.txt *.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/pixmaps
+cp ${PRGNAM}_icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/z26/z26.info b/games/z26/z26.info
new file mode 100644
index 0000000000..25524fa0ad
--- /dev/null
+++ b/games/z26/z26.info
@@ -0,0 +1,8 @@
+PRGNAM="z26"
+VERSION="2.13"
+HOMEPAGE="http://www.whimsey.com"
+DOWNLOAD="http://www.whimsey.com/z26/z26v213.tar.gz"
+MD5SUM="0b0b9b42f203f6defca74a85f071f7c8"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"